@echo off
rem #
rem # IBM Confidential
rem # OCO Source Materials
rem # Rational ClearQuest
rem # (C) Copyright IBM Corp. 2008, 2011. All Rights Reserved.
rem #
rem # The source code for this program is not published or otherwise
rem # divested of its trade secrets, irrespective of what has been
rem # deposited with the U.S. Copyright Office.
rem #
rem # Run this batch file to extract required runtime files from the Crystal Reports 11.x JRC archive.
rem # IMPORTANT:  The jar files axis.jar, axis-ant.jar, and wsdl4j.jar must not be installed on the Report 
rem # Server for Crystal reports.  
rem # These jar files cause conflicts with those provided by ClearQuest Change Management libraries

:start
if "-h" == "%1" goto usage
if "remove" == "%1" goto remove
rem  The unzip program is installed with some but not all ClearQuest features.
rem It may be necessary to change the EXTRACT_PROGRAM to an extraction program installed on your system.
set EXTRACT_PROGRAM="%RATIONAL_COMMON%/infozip/unzip"

if "" == "%1"   goto setdefault
set JRC_ARCHIVE=%1
set BASE_PATH=%~n1
if "%BASE_PATH%" == "CrystalReports_CQ_JRC" set BASE_PATH=
rem Uncomment the line below to manually set the BASE_PATH if the default does not match your archive
rem set BAST_PATH=
goto extract

:setdefault
set JRC_ARCHIVE=CrystalReports_CQ_JRC.zip
goto extract

:extract
set PATH_PREFIX=%BASE_PATH%
if not "%PATH_PREFIX%" == "" set PATH_PREFIX=%PATH_PREFIX%/

@echo on
%EXTRACT_PROGRAM% -j -o -d ./lib %JRC_ARCHIVE% ^
%PATH_PREFIX%lib/Concurrent.jar ^
%PATH_PREFIX%lib/CrystalCharting.jar ^
%PATH_PREFIX%lib/CrystalCommon.jar ^
%PATH_PREFIX%lib/CrystalContentModels.jar ^
%PATH_PREFIX%lib/CrystalDatabaseConnectors.jar ^
%PATH_PREFIX%lib/CrystalExporters.jar ^
%PATH_PREFIX%lib/CrystalExportingBase.jar ^
%PATH_PREFIX%lib/CrystalFormulas.jar ^
%PATH_PREFIX%lib/CrystalQueryEngine.jar ^
%PATH_PREFIX%lib/CrystalReportEngine.jar ^
%PATH_PREFIX%lib/CrystalReportingCommon.jar ^
%PATH_PREFIX%lib/MetafileRenderer.jar ^
%PATH_PREFIX%lib/ReportPrinter.jar ^
%PATH_PREFIX%lib/URIUtil.jar ^
%PATH_PREFIX%lib/commons-collections-3.1.jar ^
%PATH_PREFIX%lib/commons-configuration-1.2.jar ^
%PATH_PREFIX%lib/commons-lang-2.1.jar ^
%PATH_PREFIX%lib/commons-logging.jar ^
%PATH_PREFIX%lib/icu4j.jar ^
%PATH_PREFIX%lib/jrcadapter.jar ^
%PATH_PREFIX%lib/jrcerom.jar ^
%PATH_PREFIX%lib/keycodeDecoder.jar ^
%PATH_PREFIX%lib/log4j.jar ^
%PATH_PREFIX%lib/rasapp.jar ^
%PATH_PREFIX%lib/rascore.jar ^
%PATH_PREFIX%lib/rpoifs.jar ^
%PATH_PREFIX%lib/serialization.jar ^
%PATH_PREFIX%lib/webreporting-jsf.jar ^
%PATH_PREFIX%lib/webreporting.jar ^
%PATH_PREFIX%lib/xercesImpl.jar ^
%PATH_PREFIX%lib/xml-apis.jar 

@echo off
goto end

:remove
@echo Removing Crystal Reports 11 runtime files
erase .\lib\Concurrent.jar 
erase .\lib\CrystalCharting.jar 
erase .\lib\CrystalCommon.jar 
erase .\lib\CrystalContentModels.jar 
erase .\lib\CrystalDatabaseConnectors.jar 
erase .\lib\CrystalExporters.jar 
erase .\lib\CrystalExportingBase.jar
erase .\lib\CrystalFormulas.jar 
erase .\lib\CrystalQueryEngine.jar
erase .\lib\CrystalReportEngine.jar
erase .\lib\CrystalReportingCommon.jar
erase .\lib\MetafileRenderer.jar 
erase .\lib\ReportPrinter.jar 
erase .\lib\URIUtil.jar 
erase .\lib\commons-collections-3.1.jar 
erase .\lib\commons-configuration-1.2.jar 
erase .\lib\commons-lang-2.1.jar 
erase .\lib\commons-logging.jar 
erase .\lib\icu4j.jar 
erase .\lib\jrcadapter.jar 
erase .\lib\jrcerom.jar
erase .\lib\keycodeDecoder.jar 
erase .\lib\log4j.jar 
erase .\lib\rasapp.jar
erase .\lib\rascore.jar 
erase .\lib\rpoifs.jar 
erase .\lib\serialization.jar 
erase .\lib\webreporting-jsf.jar 
erase .\lib\webreporting.jar 
erase .\lib\xercesImpl.jar 
erase .\lib\xml-apis.jar 
goto end


:usage
@echo on
@echo configureJRC usage:
@echo     configureJRC -h prints this message
@echo     configureJRC archiveFile
@echo     configureJRC remove  (removes the Crystal Reports 11 JRC runtime files)
@echo off
goto end


:end
set EXTRACT_PROGRAM=
set JRC_ARCHIVE=
set PATH_PREFIX=
set BASE_PATH=

